import { baseRequest } from "./request.js";

// 手机号码是否注册
export const mobilephoneRegister = (data, type) => {
	return baseRequest("/v1/user/mobilephone-test", 'post', data, type)
}
// 发送验证码
export const sendSmsCode = (data, type) => {
	return baseRequest("/v1/user/send-verify-code", 'post', data, type)
}
// 省份列表
export const provincesList = (data, type) => {
	return baseRequest("/v1/user/list-provinces", 'post', data, type)
}
// 验证码验证
export const verifyCode = (data, type) => {
	return baseRequest("/v1/user/verify-code", 'post', data, type)
}
// 设置用户推荐人
export const prefUser = (data, type) => {
	return baseRequest("/v1/user/pref-user", 'post', data, type)
}
// 注册
export const registerUser = (data, type) => {
	return baseRequest("/v1/user/register", 'post', data, type)
}
